Skip to content

Get a submission workflow run

GET
/v1/forms/{form}/submissions/{submission}/workflow-run
curl --request GET \
--url https://api.submeto.com/v1/forms/example/submissions/example/workflow-run \
--header 'Authorization: Bearer <token>'

Returns the one production run bound to a submission. Requires workflows:read.

form
required
string

The form ID.

submission
required
string

The submission ID.

Submission workflow run

Media typeapplication/json
object
data
object
id
string
submission_id
string
run_kind
string
status
string
workflow_version
integer
reserved_compute_points
integer
consumed_compute_points
integer
released_compute_points
integer
request_id
string
Example
{
"data": {
"id": "01JRUN00000000000000000000",
"submission_id": "REQUEST_ID",
"run_kind": "production",
"status": "succeeded",
"workflow_version": 2,
"reserved_compute_points": 2,
"consumed_compute_points": 2,
"released_compute_points": 0
},
"request_id": "REQUEST_ID"
}